Bug 117964 - Python spewage during http install
Summary: Python spewage during http install
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
: 122498 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-10 15:39 UTC by Jay Turner
Modified: 2015-01-08 00:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-10 15:30:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jay Turner 2004-03-10 15:39:16 UTC
Description of problem:
With anaconda-9.91-0.20040309005302, I'm getting the following spit
out to tty1 during an http install.  Definitely nothing serious, but
we might want to suppress it:

/usr/lib/anaconda/urlinstall.py:202: FutureWarning: hex/oct constants
> sys.maxint will return positive values in Python 2.4 and up

Getting the same thing on line 203.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jeremy Katz 2004-05-06 22:33:36 UTC
*** Bug 122498 has been marked as a duplicate of this bug. ***

Comment 2 Jeremy Katz 2004-05-07 00:36:22 UTC
Fixed in CVS

Comment 3 Matt Hansen 2004-05-07 03:32:48 UTC
Jeremy, could you please explain what passes as a duplicate? I realise
both Jay and my bug reports were regarding a FutureWarning, but they
were in different source files with different warnings, so I thought
it was a new bug. It will save more time if I know what classes as a
new bug or what should be appended to an existing, similar bug - and
you won't have to go round closing as a dup. :p)

BTW, how can I access the anonymous CVS anaconda tree? I checked out
anaconda from :pserver:anonymous@rhlinux.redhat.com:/usr/local/CVS but
it contained no .py sources such as gui.py, isys.py,
releasenotes_viewer_gui.py, etc. Should I grab the latest anaconda
SRPMs from devel if I wanted to get at the source? How fresh are the
SRPMs compared to what you change in CVS? Thanks.

Comment 4 David Lawrence 2006-04-10 15:30:52 UTC
Closing due to inactivity. Please feel free to reopen this bug or refile this
bug against the latest release Fedora Core if you feel this bug is still
relevant today.

Thank you


Note You need to log in before you can comment on or make changes to this bug.